sonata_media:
    class:
        media: App\Entity\SonataMediaMedia
        gallery: App\Entity\SonataMediaGallery
        gallery_item: App\Entity\SonataMediaGalleryItem
    db_driver: doctrine_orm # or doctrine_mongodb, it is mandatory to choose one here
    default_context: default # you need to set a context
    providers:
        file:
            allowed_extensions: ['jpg', 'png', 'gif', 'jpeg', 'pdf', 'zip', 'doc', 'docx', 'ppt', 'pptx']
            allowed_mime_types: ['image/pjpeg','image/jpeg','image/png','image/x-png', 'image/gif', 'application/zip', 'application/pdf', 'application/msword', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/vnd.ms-powerpoint', 'application/vnd.openxmlformats-officedocument.presentationml.presentation'] 
    
    contexts:
        default: # the default context is mandatory
            providers:
                #- sonata.media.provider.dailymotion
                - sonata.media.provider.youtube
                - sonata.media.provider.image
                - sonata.media.provider.file
                #- sonata.media.provider.vimeo
            formats:
                small: { width: 100, quality: 95 }
        hero:
            providers:
                - sonata.media.provider.image
            formats:
                hero: { width: 1920, height: 690, quality: 95, constraint: false, resizer: sonata.media.resizer.crop }
        news:
            providers:
                - sonata.media.provider.image
            formats:
                news: { width: 577, height: 324, quality: 95, constraint: false, resizer: sonata.media.resizer.crop }
        map:
            providers:
                - sonata.media.provider.image
            formats:
                map: { width: 720, height: 448, quality: 95, constraint: false, resizer: sonata.media.resizer.crop }
        partner:
            providers:
                - sonata.media.provider.image
            formats:
                partner: { width: 170, quality: 95, constraint: false }
        person:
            providers:
                - sonata.media.provider.image
            formats:
                person_big: { width: 600, height: 490, quality: 95, constraint: false, resizer: sonata.media.resizer.crop }
                person_small: { width: 210, height: 190, quality: 95, resizer: sonata.media.resizer.crop }
                person_small_calendar: { width: 110, height: 100, quality: 95, resizer: sonata.media.resizer.crop }        
        multimedia:
            providers:
                - sonata.media.provider.image
                - sonata.media.provider.youtube
            formats:
                multimedia: { width: 190, height: 190, quality: 95, resizer: sonata.media.resizer.square }
                big: { width: 800, height: 600, quality: 95, resizer: sonata.media.resizer.crop, constraint: false }
        mediafiles:
            download:
                strategy: sonata.media.security.public_strategy
                mode: http
            providers:
                - sonata.media.provider.file
    cdn:
        server:
            path: /uploads/media
    filesystem:
        local:
            directory: '%kernel.project_dir%/public/uploads/media'
            create: false